## org.eclipse.datatools.modelbase.sql.datatypes
Interface UserDefinedTypeOrdering

All Superinterfaces:
  SQLObject

All Known Implementing Classes:
  UserDefinedTypeOrderingImpl

    public interface UserDefinedTypeOrdering

extends SQLObject

A representation of the model object 'User Defined Type Ordering'. Reference: 5WD-02-Foundation-2002-12 4.7 User-defined types

The following features are supported:

- `Ordering Form`
- `Ordering Category`
- `Ordering Routine`

See Also:
  `SQLDataTypesPackage.getUserDefinedTypeOrdering()`

Method Summary
`OrderingCategoryType` `getOrderingCategory()` Returns the value of the 'Ordering Category' attribute.
`OrderingType` `getOrderingForm()` Returns the value of the 'Ordering Form' attribute.
`Routine` `getOrderingRoutine()` Returns the value of the 'Ordering Routine' reference.
`void` `setOrderingCategory(OrderingCategoryType value)` Sets the value of the '`Ordering Category`' attribute.
`void` `setOrderingForm(OrderingType value)` Sets the value of the '`Ordering Form`' attribute.
`void` `setOrderingRoutine(Routine value)` Sets the value of the '`Ordering Routine`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getOrderingForm

    OrderingType getOrderingForm()

  Returns the value of the 'Ordering Form' attribute. The literals are from the enumeration `OrderingType`.

  If the meaning of the 'Ordering Form' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ordering Form' attribute.
  See Also:
    `OrderingType`, `setOrderingForm(OrderingType)`, `SQLDataTypesPackage.getUserDefinedTypeOrdering_OrderingForm()`

### setOrderingForm

    void setOrderingForm(OrderingType value)

  Sets the value of the '`Ordering Form`' attribute.

  Parameters:
    `value` - the new value of the 'Ordering Form' attribute.
  See Also:
    `OrderingType`, `getOrderingForm()`

### getOrderingCategory

    OrderingCategoryType getOrderingCategory()

  Returns the value of the 'Ordering Category' attribute. The literals are from the enumeration `OrderingCategoryType`.

  If the meaning of the 'Ordering Category' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ordering Category' attribute.
  See Also:
    `OrderingCategoryType`, `setOrderingCategory(OrderingCategoryType)`, `SQLDataTypesPackage.getUserDefinedTypeOrdering_OrderingCategory()`

### setOrderingCategory

    void setOrderingCategory(OrderingCategoryType value)

  Sets the value of the '`Ordering Category`' attribute.

  Parameters:
    `value` - the new value of the 'Ordering Category' attribute.
  See Also:
    `OrderingCategoryType`, `getOrderingCategory()`

### getOrderingRoutine

    Routine getOrderingRoutine()

  Returns the value of the 'Ordering Routine' reference.

  If the meaning of the 'Ordering Routine' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ordering Routine' reference.
  See Also:
    `setOrderingRoutine(Routine)`, `SQLDataTypesPackage.getUserDefinedTypeOrdering_OrderingRoutine()`

### setOrderingRoutine

    void setOrderingRoutine(Routine value)

  Sets the value of the '`Ordering Routine`' reference.

  Parameters:
    `value` - the new value of the 'Ordering Routine' reference.
  See Also:
    `getOrderingRoutine()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.